## visad.data.netcdf
Class QuantityDBImpl.NameIterator

    java.lang.Object
      visad.data.netcdf.QuantityDBImpl.Iterator
          visad.data.netcdf.QuantityDBImpl.NameIterator

All Implemented Interfaces:
  Iterator

Enclosing class:
  QuantityDBImpl

protected class QuantityDBImpl.NameIterator
extends QuantityDBImpl.Iterator

Provides support for iterating over the names in the database. A name can only appear once in the database.

Field Summary

Fields inherited from class visad.data.netcdf.QuantityDBImpl.Iterator
`iterator`

Constructor Summary
`protected` `QuantityDBImpl.NameIterator()` Constructs.

Method Summary
`protected Iterator` `nextIterator()` Gets the iterator for the successor database.
`protected Object` `nextObject()` Returns the next name in the iterator.

Methods inherited from class visad.data.netcdf.QuantityDBImpl.Iterator
`doSwitch, hasNext, next, remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QuantityDBImpl.NameIterator

    protected QuantityDBImpl.NameIterator()

  Constructs.

Method Detail

### nextObject

    protected Object nextObject()

  Returns the next name in the iterator.

  Specified by:
    `nextObject` in class `QuantityDBImpl.Iterator`

### nextIterator

    protected Iterator nextIterator()

  Gets the iterator for the successor database.

  Specified by:
    `nextIterator` in class `QuantityDBImpl.Iterator`